SolarisFileSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.sun.SolarisFileSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.sun
Interface SolarisFileSystem

All Superinterfaces:
  CIMSystem, FileSystem, LocalFileSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, UnixFileSystem

    public interface SolarisFileSystem

extends UnixFileSystem

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.FileSystem
`IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.sys.LocalFileSystem
`getStorageExtent, hasStorageExtent, setStorageExtent`

Methods inherited from interface com.collation.platform.model.topology.sys.FileSystem
`getAvailableSpace, getCapacity, getInheritedFileSystem, getMountedFileSystem, getMountPoint, getParent, getType, hasAvailableSpace, hasCapacity, hasInheritedFileSystem, hasMountedFileSystem, hasMountPoint, hasParent, hasType, setAvailableSpace, setCapacity, setInheritedFileSystem, setMountedFileSystem, setMountPoint, setParent, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD